import { MatDialogRef } from '@angular/material/dialog';
import { ColumnModel } from '#models/column.model';
import { ColumnComponentModel } from '#models/columnComponent.model';
import { Section } from '#models/section.model';
import { InputFormConfiguration } from '#models/inputFormConfiguration.model';
import { ButtonFormConfiguration } from '#models/buttonFormConfiguration';
import * as i0 from "@angular/core";
export declare class SettingModalComponent {
    private matDialog;
    data: {
        sectionIndex: number;
        sectionInfo: Section;
    };
    columns: Array<ColumnModel>;
    sectionInfo: {
        sectionIndex: number;
        sectionColumns: Array<ColumnComponentModel>;
    };
    constructor(matDialog: MatDialogRef<SettingModalComponent>, data: {
        sectionIndex: number;
        sectionInfo: Section;
    });
    addColumn(componentType: 'input' | 'button'): void;
    removeColumn(column: ColumnModel): void;
    checkColumnsCountForLessThanThree(): boolean;
    discardSectionSettings(): void;
    saveSectionSettings(): void;
    getComponentConfigurationEvent(event: any, componentType: 'button' | 'input', columnIndex: number): void;
    private setDataForEditMode;
    returnInputFormConfiguration(sectionColumn: ColumnModel): InputFormConfiguration;
    returnButtonFormConfiguration(sectionColumn: ColumnModel): ButtonFormConfiguration;
    onComponentTypeValueChange(column: ColumnModel, selectedColumnComponentType: 'input' | 'button'): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SettingModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SettingModalComponent, "app-setting-modal", never, {}, {}, never, never>;
}
